<?php
class widgetWall extends cmsWidget {

    public function run(){
		
		
		$controller_name = $this->options['profile_type']=='group' ? 'groups' : 'users';
		
		$user = cmsUser::getInstance();
		
		if($controller_name=='groups'){
		$target_model = cmsCore::getModel('groups');
		$profile = $target_model->getGroup($this->options['group_id']);	
		}else{
		$target_model = cmsCore::getModel('users');
		$profile = $target_model->getUser($this->options['profile_id']);
		}
		
		if(!$profile){ return false; }
		
        $wall_target = array(
            'controller'   => $controller_name,
            'profile_type' => $this->options['profile_type'],
            'profile_id'   => $profile['id']
        );

		
		$wall_permissions = array(
            'add'    => $user->is_logged && $user->isPrivacyAllowed($profile, 'users_profile_wall') && empty($profile['is_locked']) && empty($profile['is_deleted']),
            'reply'  => $user->is_logged && $user->isPrivacyAllowed($profile, 'users_profile_wall_reply') && empty($profile['is_locked']) && empty($profile['is_deleted']),
            'delete' => ($user->is_admin || ($user->id == $profile['id']))
        );

        $wall_html = cmsCore::getController('wall')->getWidget($this->title, $wall_target, $wall_permissions);



        return array(
		'content'=>(!empty($this->options['content']) ? $this->options['content'] : ''),
		'content2'=>(!empty($this->options['content2']) ? $this->options['content2'] : ''),
		'user'=>array('id'=>$user->id,'nickname'=>$user->id,'avatar'=>$user->avatar),
		'wall_html'=>$wall_html);

    }

}
